|  | Home · All Classes · Modules

# QInputContextFactory Class Reference
[QtGui module]

The QInputContextFactory class creates QInputContext objects. More...

### Methods

- __init__ (self)
- __init__ (self, QInputContextFactory)

### Static Methods

- QInputContext create (QString, QObject)
- QString description (QString)
- QString displayName (QString)
- QStringList keys ()
- QStringList languages (QString)

## Detailed Description

The QInputContextFactory class creates QInputContext objects.

The input context factory creates a QInputContext object for a given key with QInputContextFactory.create().

The input contexts are either built-in or dynamically loaded from an input context plugin (see QInputContextPlugin).

keys() returns a list of valid keys. The keys are the names used, for example, to identify and specify input methods for the input method switching mechanism. The names have to be consistent with QInputContext.identifierName(), and may only contain ASCII characters.

A key can be used to retrieve the associated input context's supported languages using languages(). You can retrieve the input context's description using description() and finally you can get a user friendly internationalized name of the QInputContext object specified by the key using displayName().

Copyright (C) 2003-2004 immodule for Qt Project. All rights reserved.

This file is written to contribute to Nokia Corporation and/or its subsidiary(-ies) under their own license. You may use this file under your Qt license. Following description is copied from their original file headers. Contact immodule-qt@freedesktop.org if any conditions of this licensing are not clear to you.

See also QInputContext and QInputContextPlugin.

## Method Documentation

### QInputContextFactory.__init__ (self)

### QInputContextFactory.__init__ (self, QInputContextFactory)

### QInputContext QInputContextFactory.create (QString, QObject)

The QObject argument, if not None, causes self to be owned by Qt instead of PyQt.

Creates and returns a QInputContext object for the input context specified by key with the given parent. Keys are case sensitive.

See also keys().

### QString QInputContextFactory.description (QString)

Returns an internationalized brief description of the QInputContext object specified by key. You can, for example, use this description in a user interface.

See also keys() and displayName().

### QString QInputContextFactory.displayName (QString)

Returns a user friendly internationalized name of the QInputContext object specified by key. You can, for example, use this name in a menu.

See also keys() and QInputContext.identifierName().

### QStringList QInputContextFactory.keys ()

Returns the list of keys this factory can create input contexts for.

The keys are the names used, for example, to identify and specify input methods for the input method switching mechanism. The names have to be consistent with QInputContext.identifierName(), and may only contain ASCII characters.

See also create(), displayName(), and QInputContext.identifierName().

### QStringList QInputContextFactory.languages (QString)

Returns the languages supported by the QInputContext object specified by key.

The languages are expressed as language code (e.g. "zh_CN", "zh_TW", "zh_HK", "ja", "ko", ...). An input context that supports multiple languages can return all supported languages as a QStringList. The name has to be consistent with QInputContext.language().

This information may be used to optimize a user interface.

See also keys(), QInputContext.language(), and QLocale.